#511 Can't enter text in search dialog if mouse in kde panel

open
nobody
Program (402)
5
2006-02-11
2006-02-11
No

I've noticed this problem in Mandrake systems for
quite a while (possibly since Mandrake 7.2, now using
Mandriva2006), but only recently decided to try to
pin it down.

When I have the mouse cursor in the kde panel (for
example, if I've just used the panel to switch from
another desktop to one with an instance of nedit), I
can press <ctrl>f and get the search dialog, but I
can't enter any search text into it. (I can click
any of the checkboxes, buttons (Cancel) or things
like the X (to close it).)

Although this problem obviously has something to do
with focus (I think ;-), once I get the search dialog
up, clicking in it to get focus on it does not solve
the problem--I have to close that search dialog and
open another (with the mouse cursor not in the panel)
to be able to search.

Workaround: move the mouse cursor out of the panel
before pressing <ctrl>f.

If I switch to a desktop with nedit and start typing,
I can enter text just fine.

I've tried a few other applications and don't have
this problem with them.

In case it's a clue, I should mention that I have my
kde panel set to disappear automatically--I'll switch
it so it appears continuously and see if that makes a
difference--nope--same behavior.

I've tried searching bugzilla and don't think this
duplicates an existing bug report.

Discussion

  • Randy Kramer

    Randy Kramer - 2006-02-11

    Logged In: YES
    user_id=116756

    Oops, I should have mentioned I'm using a version of nedit
    compiled with lesstif (came with Mandriva2006)--I should
    switch to a Motif based version and see if that makes a
    difference, but, to the best of my recollection, I had the
    same problem with earlier versions of Mandrake even after
    switching to a Motif based version.

    NEdit 5.5
    Sep 30, 2004

    Built on: Linux, Pentium, GNU C
    Built at: Feb 24 2005, 15:01:23
    With Motif: 2.1.0 [@(#)GNU/LessTif Version 2.1 Release
    0.93.94] (UNTESTED)
    Running Motif: 2.1 [unknown]
    Server: Mandriva Linux (X.Org X11 6.9, patch level
    1.cvs20050915.2mdk) 60899900
    Visual: 24-bit TrueColor (ID 0x21, Default)
    Locale: en_US

     
  • Thorsten Haude

    Thorsten Haude - 2006-09-18

    Logged In: YES
    user_id=119143

    I don't understand your focus model - how can you enter
    Ctrl-f in NEdit if your mouse is still in the panel? How do
    you open a NEdit dialog using the panel? Do you use
    auto-hide for your panel?

     
  • Randy Kramer

    Randy Kramer - 2006-09-18

    Logged In: YES
    user_id=116756

    > I don't understand your focus model - how can you enter
    Ctrl-f in NEdit if your mouse is still in the panel?

    First comment: I don't know--magic??

    Second comment: Note that I can start typing after
    switching to a desktop with a nedit instance open and on
    top while the mouse cursor is still on the panel. (The
    insertion point is in the nedit instance, and text is
    entered at the insertion point.)

    Third comment: These are my current kde focus settings:

    My current settings:

    Focus Follows Mouse, no auto raise, no delay focus, Click
    raise active window (checked)

    The other choices available for Policy include:

    * Click to Focus
    * Focus Follows Mouse
    * Focus Under Mouse
    * Focus Strictly Under Mouse

    I don't really (intuitively) understand the difference
    between the last 3. I don't want to have to click (1st
    choice, but maybe that would resolve some of the problems I
    see (not just the nedit thing with the search dialog).)

    Or maybe some switches in the checkbox settings would be
    helpful? (auto raise, delay focus, Click raise active
    window)

    > How do you open a NEdit dialog using the panel?

    I hope I'm using correct terminology. By panel, I mean the
    thingie on the kde toolbar that lets me switch between
    desktops by clicking on the desktop I want to go to.

    As described above, if a nedit instance is open on that
    desktop and is "on top", and the insertion point is in the
    nedit document (I think it always is), I can start typing
    while the mouse cursor is still in the panel, and the text
    I type is inserted at the insertion point.

    > Do you use auto-hide for your panel?

    Yes, but per my original description, I've tried it both
    ways and the problem occurs in both situations.

    Commentary: This may be more of a kde problem (or may be
    very related to the interaction between kde focus and
    nedit), and I don't see a need to hold up 5.6 to solve this
    problem. On the other hand, I'd hate to see the problem
    marked closed before some resolution is found.

    (Way OT (ignore this if you are not yooden): What time is
    the test? ;-)

     
  • Randy Kramer

    Randy Kramer - 2006-09-18

    Logged In: YES
    user_id=116756

    Oops, didn't finish my response to your 2nd question:

    > As described above, if a nedit instance is open on that
    desktop and is "on top", and the insertion point is in the
    nedit document (I think it always is), I can start typing
    while the mouse cursor is still in the panel, and the text
    I type is inserted at the insertion point.

    In the same situation (just switched to that desktop and
    mouse cursor still in the panel), if I press <ctrl>f I get
    the (nedit) find dialog, but (as per the original problem
    statement), I can't type anything into it. The buttons do
    work (or at least the one to Cancel the dialog.

    I should try some other dialogs--maybe I'll try <ctrl>o and
    see if the open dialog works at all--yup, it comes up, but
    I can't type anything into the Filter text box. I can,
    however, use the mouse to select a file and then open it,
    so the problem is not unique to the find dialog.

     
  • Thorsten Haude

    Thorsten Haude - 2006-09-21

    Logged In: YES
    user_id=119143

    Ok, I am now on my KDE desktop (SLES 9.3, KDE 3.2.1, KDE
    Panel 1.1) with the same settings as yours. However, I don't
    see the problem. Yes, the focus is set to an application
    even while the mouse cursor is still in the panel (which can
    be seen with my theme by the darker title bar), but I can
    use find and open dialog without problems.

     
  • Randy Kramer

    Randy Kramer - 2006-09-22

    Logged In: YES
    user_id=116756

    yooden,

    Thanks for trying to reproduce the problem!

    Aside: What focus policy are you using?

    * Click to Focus
    * Focus Follows Mouse
    * Focus Under Mouse
    * Focus Strictly Under Mouse

    As I mentioned in my original report, iirc, I've
    experienced this problem since Mandrake 7.2. (But I'm old,
    and maybe I'm mis-remembering.)

    Anyway, if no one can reproduce the problem, it probably
    can't be directly addressed. Still, I'm hoping that
    someday, someone will come along and confirm (reproduce)
    the problem. Like I said before, no point in holding up
    5.6 for something like this, but thanks again for trying to
    reproduce it!

     
  • Thorsten Haude

    Thorsten Haude - 2006-09-22

    Logged In: YES
    user_id=119143

    I use Focus Follows Mouse.

    You can reproduce it, so we should be able to find the bug
    eventually. Do you usually compile NEdit yourself?

    There is about a hundred bugs in the tracker, 5.6 will not
    wait until all are fixed. If this bug is not fixed in time,
    it will remain open until it is fixed at a later date (or
    some other event suggests closing it).

     
  • Scott Tringali

    Scott Tringali - 2006-09-26

    Logged In: YES
    user_id=11321

    Seems okay with KDE (under FC3) and a latest CVS nedit.

    Thorsten, note the panel never takes focus. When you mouse
    to it, nedit (the main window) keep the focus. So it's
    possible to have the mouse inside the panel, yet nedit has
    the keyboard focus.

    When you press ^F then nedit raises the search window. But
    on click-focus systems it doesn't *necessarily* get input
    focus, so we calls XSetInputFocus so that you can type
    search parameters without having to make another click in
    the dialog.

    This might be confusing pointer-focus mode with the Motif
    you have. Try removing that line of code and see if it helps?

    FWIW, it seems fine with OM 2.2.3 and KDE 3.4 here (FC3).

     
  • Randy Kramer

    Randy Kramer - 2006-09-27

    Logged In: YES
    user_id=116756

    Thorsten, sorry I didn't answer your question (two comments
    back)--no, I usually don't compile nedit (or anything else)
    myself, although I'm working on changing that.

    tringali: Thanks for the information in the last post (not
    that I can absorb all of it), but it sounds like I may not
    be totally crazy ;-)

     
  • Thorsten Haude

    Thorsten Haude - 2006-09-27

    Logged In: YES
    user_id=119143

    Randy, I attach a patch you might want to try. It implements
    Scott's suggestion but nothing more, so don't expect it to
    work well. If you come around to compiling your own NEdit,
    please try it and let us know if anything changes.

     
  • Scott Tringali

    Scott Tringali - 2006-09-28

    Logged In: YES
    user_id=11321

    (That patch will likely break the dialog auto-focus in click
    mode. But, it's a good test.)

     
  • Randy Kramer

    Randy Kramer - 2006-09-28

    Logged In: YES
    user_id=116756

    Thanks for the patch (Thorsten) and the warning (Scott).

    Beside the point, but I am (currently, again) thinking
    about trying to do some development in/for nedit--doing
    some learning, review, and digging, probably be asking some
    questions on the mail list soon.

     
  • Scott Tringali

    Scott Tringali - 2006-09-29

    Logged In: YES
    user_id=11321

    Lesstif is somewhat known for funny focus problems. Let us
    know whether it makes a difference.

     
  • Joel VanderWerf

    Joel VanderWerf - 2006-11-21

    Logged In: YES
    user_id=314554
    Originator: NO

    I see a similar problem after upgrading from Kubuntu 6.06 to 6.10: dialogs respond to mouse but not to keyboard events. The only difference is that it occurs on opening any dialog while the pointer is outside of a nedit window (not just when the pointer is in the kde panel). There is no problem when the pointer is inside a nedit window.

    My focus model in the KDE window manager is click-to-focus.

    The problem occurs both with the 5.5 package from ubuntu and a nedit built from CVS today (21Nov2006).

    I tried commenting out the line with XSetInputFocus in util/misc.c, but that had no effect. In fact, the function that call is in, RaiseWindow(), is not even called when a dialog is displayed. Maybe I didn't understand the patch...

    Here is what Nedit's Version says:

    NEdit release of Aug 20, 2004

    Built on: Linux, 486, GNU C
    Built at: Nov 21 2006, 12:07:45
    With Motif: 1.2.0 [@(#)GNU/LessTif Version 1.2 Release 0.93.94]
    Running Motif: 1.2 [unknown]
    Server: The X.Org Foundation 70101000
    Visual: 24-bit TrueColor (ID 0x23, Default)
    Locale: en_US.UTF-8

    Other information:

    Kubuntu 6.10
    Linux 2.6.17
    Kde 3.5.5

     
  • Joel VanderWerf

    Joel VanderWerf - 2006-11-21

    Logged In: YES
    user_id=314554
    Originator: NO

    I see a similar problem after upgrading from Kubuntu 6.06 to 6.10: dialogs respond to mouse but not to keyboard events. The only difference is that it occurs on opening any dialog while the pointer is outside of a nedit window (not just when the pointer is in the kde panel). There is no problem when the pointer is inside a nedit window.

    My focus model in the KDE window manager is click-to-focus.

    The problem occurs both with the 5.5 package from ubuntu and a nedit built from CVS today (21Nov2006).

    I tried commenting out the line with XSetInputFocus in util/misc.c, but that had no effect. In fact, the function that call is in, RaiseWindow(), is not even called when a dialog is displayed. Maybe I didn't understand the patch...

    Here is what Nedit's Version says:

    NEdit release of Aug 20, 2004

    Built on: Linux, 486, GNU C
    Built at: Nov 21 2006, 12:07:45
    With Motif: 1.2.0 [@(#)GNU/LessTif Version 1.2 Release 0.93.94]
    Running Motif: 1.2 [unknown]
    Server: The X.Org Foundation 70101000
    Visual: 24-bit TrueColor (ID 0x23, Default)
    Locale: en_US.UTF-8

    Other information:

    Kubuntu 6.10
    Linux 2.6.17
    Kde 3.5.5

     

Log in to post a comment.